Module javafx.graphics
Package javafx.geometry

# Enum Class HPos

java.lang.Object
java.lang.Enum<HPos>
javafx.geometry.HPos

All Implemented Interfaces:
  `Serializable`, `Comparable<HPos>`, `Constable`

public enum HPos extends Enum<HPos>
A set of values for describing horizontal positioning and alignment.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER`
Indicates centered horizontal position.
`LEFT`
Indicates left horizontal position.
`RIGHT`
Indicates right horizontal position.

## Method Summary

Modifier and Type
Method
Description
`static HPos`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HPos[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT

public static final HPos LEFT
Indicates left horizontal position.

### CENTER

public static final HPos CENTER
Indicates centered horizontal position.

### RIGHT

public static final HPos RIGHT
Indicates right horizontal position.

## Method Details

### values

public static HPos[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HPos valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null